Innehåll

# Bithanteringsfunktioner

Så här använder du det här kommandot...

Infoga - Funktion - Kategori Matematik

## BITELLER

Returnerar en logisk bitvis "eller" av parametrarna.

This function is available since LibreOffice 3.5.

#### Syntax

BITELLER(tal1; tal2)

Tal1 och tal2 är positiva heltal mindre än 2 ^ 48 (281 474 976 710 656).

=BITELLER(6;10) returnerar 14 (0110 | 1010 = 1110).

## BITHFÖRSKJUTNING

Förskjuter ett tal till höger med n bitar.

This function is available since LibreOffice 3.5.

#### Syntax

BITHFÖRSKJUTNING(tal; förskjutning)

Tal är ett positivt heltal mindre än 2 ^ 48 (281 474 976 710 656).

Förskjutning är det antal positioner bitarna ska förskjutas till höger. Om förskjutning är negativt är det likvärdigt med BITVFÖRSKJUTNING(tal; -förskjutning).

#### Example

=BITHFÖRSKJUTNING(6;1) returnerar 3 (0110 >> 1 = 0011).

## BITOCH

Returnerar en logisk bitvis "och" av parametrarna.

This function is available since LibreOffice 3.5.

#### Syntax

BITOCH(tal1; tal2)

Tal1 och tal2 är positiva heltal mindre än 2 ^ 48 (281 474 976 710 656).

#### Example

=BITOCH(6;10) returnerar 2 (0110 & 1010 = 0010).

## BITVFÖRSKJUTNING

Förskjuter ett tal till vänster med n bitar.

This function is available since LibreOffice 3.5.

#### Syntax

BITVFÖRSKJUTNING(tal; förskjutning)

Tal är ett positivt heltal mindre än 2 ^ 48 (281 474 976 710 656).

Förskjutning är det antal positioner bitarna ska förskjutas till vänster. Om förskjutning är negativt är det likvärdigt med BITHFÖRSKJUTNING(tal; -förskjutning).

#### Example

=BITLFÖRSKJUTNING(6;1) returnerar 12 (0110 << 1 = 1100).

## BITXOR

Returnerar en logisk bitvis "exklusiv eller" av parametrarna.

This function is available since LibreOffice 3.5.

#### Syntax

BITXOR(tal1; tal2)

Tal1 och tal2 är positiva heltal mindre än 2 ^ 48 (281 474 976 710 656).

#### Example

=BITXOR(6;10) returnerar 12 (0110 ^ 1010 = 1100)

Närliggande ämnen

Functions by Category